Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class QuoteFactory

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.QuoteFactory

Deprecated See BEA Commerce product offering

    @Deprecated
    public class QuoteFactory

extends Object

A factory for creating objects from the Quote package.

See Also
  `Quote`, `LineItem`, `LineAdjustment`, `OrderAdjustment`, `AdjustmentDetail`, `Line`

Field Summary
`static String` | `NO_CURRENCY` Deprecated See BEA Commerce product offering
`static double` | `ZERO` Deprecated See BEA Commerce product offering

Constructor Summary
`QuoteFactory()` Deprecated See BEA Commerce product offering

Method Summary
`DiscountPresentation` | `createDescription(LineAdjustment adjustment)` Deprecated See BEA Commerce product offering
`List` | `createDescriptions(List adjustments)` Deprecated See BEA Commerce product offering
`AdjustmentDetail` | `getDetail(AdjustmentDetail detail)` Deprecated See BEA Commerce product offering
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object discountID)` Deprecated See BEA Commerce product offering
`int` | `getInt(double value)` Deprecated See BEA Commerce product offering
`LineAdjustment` | `getLineAdjustment(Money basePrice, LineItem parent)` Deprecated See BEA Commerce product offering
`List` | `getLineItems(Quote quote, Line[] lines)` Deprecated See BEA Commerce product offering
`Line[]` | `getLines(Quote quote, Line[] lines)` Deprecated See BEA Commerce product offering
`OrderAdjustment` | `getOrderAdjustment(Money basePrice, Quote parent)` Deprecated See BEA Commerce product offering
`Quote` | `getQuote(Line[] lines)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO

    public static final double ZERO

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### NO_CURRENCY

    public static final String NO_CURRENCY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### QuoteFactory

    public QuoteFactory()

  Deprecated See BEA Commerce product offering

  Construct a new QuoteFactory.

Method Detail

### getQuote

    public Quote getQuote(Line[] lines)
                   throws QuoteException

  Deprecated See BEA Commerce product offering

  Create a new Quote object based on the array of Lines specified.

  Throws
    `QuoteException`

### getLineItems

    public List getLineItems(Quote quote,
                             Line[] lines)
                      throws QuoteException

  Deprecated See BEA Commerce product offering

  Produce a List of LineItems for the given Quote and array of Lines. The List of LineItems is in the same natural order as the array of Lines specified.

  Parameters
    `quote` - the Quote to use as the parent of the LineItems
    `lines` - array of Lines to base the new LineItems on.
  Returns
    List of LineItems
  Throws
    `QuoteException`
  See Also
    `LineItem`, `Quote`, `Line`

### getLines

    public Line[] getLines(Quote quote,
                           Line[] lines)

  Deprecated See BEA Commerce product offering

  Populate the array of Lines specified with the data supplied in the Quote. The Lines returned will be in the same order as the LineItems in the Quote.

  Parameters
    `quote` - the Quote to obtain the data from for the Lines
    `lines` - array of Lines to populate from the Quote.
  Returns
    array of Lines
  See Also
    `LineItem`, `Quote`, `Line`

### createDescriptions

    public List createDescriptions(List adjustments)

  Deprecated See BEA Commerce product offering

  Create a List of DiscountPresentation objects corresponding to the List of LineAdjustment objects passed into the method.

  Parameters
    `adjustments` - List of LineAdjustments.
  See Also
    `LineAdjustment`, `DiscountPresentation`

### createDescription

    public DiscountPresentation createDescription(LineAdjustment adjustment)

  Deprecated See BEA Commerce product offering

  Create a DiscountPresentation object corresponding to the LineAdjusment object passed into the method.

  Parameters
    `adjustment` - the LineAdjustments to build the presentation from
  See Also
    `LineAdjustment`, `DiscountPresentation`

### getLineAdjustment

    public LineAdjustment getLineAdjustment(Money basePrice,
                                            LineItem parent)
                                     throws QuoteException

  Deprecated See BEA Commerce product offering

  Obtain a fresh LineAdjustment object.

  Parameters
    `basePrice` - the base price for the new LineAdjustment.
    `parent` - the LineItem to set as the parent of the adjustment.
  Returns
    a LineAdjustment
  Throws
    `QuoteException`

### getOrderAdjustment

    public OrderAdjustment getOrderAdjustment(Money basePrice,
                                              Quote parent)

  Deprecated See BEA Commerce product offering

  Obtain a fresh LineAdjustment object based on the specified values and add the specified detail to the adjustment.

  Parameters
    `basePrice` - the price of the adjustment
    `parent` - the parent Quote for this adjustment
  See Also
    `Quote`, `OrderAdjustment`

### getDetail

    public AdjustmentDetail getDetail(AdjustmentType type,
                                      Money initialPrice,
                                      Money endPrice,
                                      String computation,
                                      String reason,
                                      Object discountID)
                               throws QuoteException

  Deprecated See BEA Commerce product offering

  Obtain a fresh AdjustmentDetail with the specified values.

  Parameters
    `type` - the AdjustmentType of this detail
    `initialPrice` - the price of the object before adjustment.
    `endPrice` - the price of the object after adjustment.
    `computation` - a string describing the computation used to compute the end price from the initial price.
    `reason` - the reason for the adjustment
    `detailID` - the identifier associated with this adjustment.
  Throws
    `com.bea.commerce.ebusiness.price.QuoteException`
    `QuoteException`
  See Also
    `AdjustmentDetail`, `AdjustmentType`, `Money`

### getDetail

    public AdjustmentDetail getDetail(AdjustmentDetail detail)
                               throws QuoteException

  Deprecated See BEA Commerce product offering

  Obtain a fresh AdjustmentDetail based on the detail specified

  Parameters
    `detail` - the detail to copy.
  Throws
    `QuoteException`
  See Also
    `AdjustmentDetail`

### getInt

    public int getInt(double value)

  Deprecated See BEA Commerce product offering

  Obtain the integer portion of a double by casting it to an int.

  Parameters
    `value` - double value to cast to int.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved